%define pname     femon
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)

Name:		vdr-%{pname}
Version:	1.6.1
Release:	6
Summary:	DVB frontend status monitor plugin for VDR
Group:		VDR
License:	GNU/GPLv2+
URL:		http://www.saunalahti.fi/~rahrenbe/vdr/femon/
Source0:	http://www.saunalahti.fi/~rahrenbe/vdr/femon/files/%{name}-%{version}.tgz
Source200:      %{name}.runvdr
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  vdr-devel >= 1.6.0
BuildRequires:  gettext
Requires:       vdr(abi) = %{apiver}

%description
DVB frontend status monitor is a plugin that displays some signal
information parameters of the current tuned channel on VDR's OSD.  You
can zap through all your channels and the plugin should be monitoring
always the right frontend.  The transponder and stream information are
also available in advanced display modes.

%prep
%setup -q -n %{pname}-%{version}
f=HISTORY ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f

%build
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale

%install
rm -rf $RPM_BUILD_ROOT
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
make %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr LOCALEDIR=$RPM_BUILD_ROOT%{plugindir}/locale i18n
install -Dpm 644 %{SOURCE200} $RPM_BUILD_ROOT%{_sysconfdir}/runvdr/%{pname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/runvdr-conf.d enable %{pname} >/dev/null 2>&1

%preun
if [ "$1" = 0 ]; then 
    /usr/bin/runvdr-conf.d disable %{pname} >/dev/null 2>&1
fi


%files
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/runvdr/%{pname}
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%{plugindir}/locale

%changelog
* Sat Sep 19 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.1-6
- rebuild against vdr-1.6.0-14
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 1.6.1-5
- rebuild against vdr-1.6.0-10
* Sat Nov 29 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.1-4
- rebuild against vdr-1.6.0-9
* Thu Nov 13 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.1-3
- runvdr integration
* Tue Nov 11 2008 Christian Metzen <metzench@ccux-linux.de> 1.6.1-2
- rebuild against vdr-1.6.0-3
* Thu Sep 18 2008 Christian Wasem <wasem@ccux-linux.de> 1.6.1-1
- Initial release